Package com.treemap

# Class LabelingFactory

java.lang.Object
com.treemap.LabelingFactory

@JsType public class LabelingFactory extends Object
Factory class for accessing predefined labeling schemes.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final SurroundLabeling`
  `COLORED_SURROUND`
  Display the label of the parent node above its children.
  `static final Labeling`
  `EXPAND`
  Display the label of the parent nodes in the center of its children (overlaid).
  `static final Labeling`
  `NONE`
  Only display labels for leaf nodes.
  `static final Labeling`
  `OVERLAY`
  Display the labels right on top of its children.
  `static final SurroundLabeling`
  `SURROUND`
  Display the label of the parent node above its children.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Labeling entry)`
  `Labeling`
  `get(String name)`
  `Labeling`
  `getDefault()`
  `static LabelingFactory`
  `getInstance()`
  `List<Labeling>`
  `getLabelings()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OVERLAY

    public static final Labeling OVERLAY
    Display the labels right on top of its children.

  - ### SURROUND

    public static final SurroundLabeling SURROUND
    Display the label of the parent node above its children.

  - ### COLORED_SURROUND

    public static final SurroundLabeling COLORED_SURROUND
    Display the label of the parent node above its children.

  - ### NONE

    public static final Labeling NONE
    Only display labels for leaf nodes.

  - ### EXPAND

    public static final Labeling EXPAND
    Display the label of the parent nodes in the center of its children (overlaid).

- ## Method Details

  - ### getInstance

    public static LabelingFactory getInstance()

  - ### add

    public void add(Labeling entry)

  - ### getDefault

    public Labeling getDefault()

  - ### getLabelings

    public List<Labeling> getLabelings()

  - ### get

    public Labeling get(String name)